import java.io.IOException;
import java.io.PrintWriter;
import html.HtmlWriter;
import java.util.Arrays;

import javax.servlet.ServletException;
import javax.servlet.http.HttpSession;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public class GrafServlet extends HttpServlet {

    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {

        HttpSession session = request.getSession();
        Integer width = (Integer) session.getAttribute(TvarGrafuServlet.sessionPrefix+"width");
        Integer height = (Integer) session.getAttribute(TvarGrafuServlet.sessionPrefix+"height");
        Integer pocet = (Integer) session.getAttribute(TvarGrafuServlet.sessionPrefix+"pocet");
        String[] values = (String[]) session.getAttribute(SeznamCiselServlet.sessionPrefix+"values");

        response.setCharacterEncoding("utf-8");
        PrintWriter out = response.getWriter();
  
        HtmlWriter.printHeader(out, "Koláčový graf");

        out.println("<h2>Krok 3 - Výsledek</h2>");
        out.println("<img src=\"CircleServlet\" style=\"float:right;\" width=\""+width+
                "\" height=\""+height+"\" alt=\""+Arrays.toString(values)+"\" />");
        
        out.println("<pre>");
        out.println("Počet hodnot: "+pocet);
        out.println("Šířka grafu: "+width);
        out.println("Výška grafu: "+height);
        out.println("Hodnoty: "+Arrays.toString(values));
        out.println("</pre>");
        out.println("<div style=\"clear:both;\"> </div>");
        
       

        HtmlWriter.printFooter(out);
    }
}
