/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package html;

import javax.servlet.http.HttpServletRequest;

/**
 *
 * @author petr
 */
public class Parser {

    public static final class IntParametr {

        public String parametr;
        public int number;
        public int error;

        public IntParametr() {
            parametr = null;
            number = 0;
            error = 0;
        }
    }

    /**
     *
     * @param request
     * @param name Jmeno parametru
     * @param minValue Nejmensi mozna hodnota
     * @return
     */
    public static IntParametr getIntParametr(HttpServletRequest request, String name, int minValue) {
        IntParametr p = new IntParametr();
        p.parametr = request.getParameter(name);
        if (p.parametr == null || p.parametr.equals("")) {
            p.error = 1;
            return p;
        }
        
        try {
            p.number = Integer.parseInt(p.parametr);
        } catch (java.lang.NumberFormatException e) {
            p.error = 2;
            return p;
        }

        if(p.error == 0 && p.number < minValue) {
            p.error = 3;
            return p;
        }
        
        return p;
    }
}
